local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GoldFarming101(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Gold Farming 101")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Do You Want Professions?:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This questions is somewhat simple but, this is something you may want to ask yourself. By using professions this will require you to level your professions up before you start gold farming. However, the gathering professions provide a great amount of gold in there own right. For example Herbalism is one of the most perfect ones as this requires very little effort to farm materials to sell but, this does require you to level the profession up before you start getting regular materials especially from Old Content nodes. The perk of doing none profession farms is that the barrier to entry is as low as it can be and that means you can just go to the zone for the gold farm and just start the farm without having to level your profession first.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Factoring RNG?:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto Professions and none professions you may want to ask yourself weather you would like RNG to be factored into your farm. By saying yes, it will mean that you are leaving a lot of the gold farms value to chance but depending on what you are farming can lead to better results “If” you are lucky in your RNG for that farm. A Good example for this is BFA Mount farming. With this farm you will be farming for Low Drop Chance mounts which rely heavily on RNG. You could spend multiple hours for one of these mounts to drop but once the mount drops this could supersede any gold farm which you could do with materials. By not leaving RNG to be factored in and saying “NO” then you are looking for a more stable way of making gold. This will lead you to more steady gold farms and as such will ultimately lead to material gold farms as they are one of the most stable type of gold farms casting away RNG for steady gold from a farm. Ultimately asking whether you want RNG to be factored in is asking, Do I want High Risk equalling in High Reward or No RNG for Steady gold. The choice is of course yours to take but it is good to way this up before you start farming sessions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Old or Current Content?:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This can be summarised quite easily, old content tends to sell slower than current content as less people are in demand of these materials. However, things like mounts and mog do tend to sell best in these areas and materials tend to sell for higher Gold Per Hour. In regards to Current Content you are choosing Fast Sales as more people are progressing with the current expansion and that means more people will be in demand of these materials. Overall if you want Fast Sales with moderate Gold Per Hour then Current Content is for you. Also Choosing Old Content you are getting Moderate Sales with Higher Returns on Average.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Conclusion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When choosing a gold farm to do I ask these questions and as such I tend to lean towards Professions as they are reliable and provide good gold returns such as multifarms. With that chosen I end up going to Older Content like the Whiptail Multifarm because the Gold Per Hour is usually twice the amount of gold per hour than a current content farm with less competition and as such I am happy posting these materials on the auction house for a week or so to see the gold return. My view is I can farm more higher gold per hour material while I wait for them to sell leaving me with higher gold returns over the long run.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

end